import { Controller, Get, Post, Body, Param, Delete, Patch } from '@nestjs/common';
import { RunumService } from '../services/runum.service';
import { CreateTxnRunumDto } from '../dto/create-txn-runum.dto';
import { UpdateTxnRunumDto } from '../dto/update-txn-runum.dto';

@Controller('runum')
export class RunumController {
    constructor(private readonly runumService: RunumService) { }

    @Post()
    create(@Body() dto: CreateTxnRunumDto) {
        return this.runumService['prisma'].txnRunum.create({
            data: dto,
        });
    }

    @Get()
    findAll() {
        return this.runumService.findAll();
    }

    @Get(':id')
    findOne(@Param('id') id: string) {
        return this.runumService.findOne(id);
    }

    @Patch(':id')
    update(@Param('id') id: string, @Body() dto: UpdateTxnRunumDto) {
        return this.runumService.update(id, dto);
    }

    @Delete(':id')
    remove(@Param('id') id: string) {
        return this.runumService.remove(id);
    }

    @Post('next')
    next(
        @Body('runumId') runumId: string,
        @Body('reset') reset: string,
    ) {
        return this.runumService.getNextNumber(runumId, reset);
    }
}